<?php get_header(); ?>
<?php if (get_option('sns_layout') == 'cslayout' || get_option('sns_layout') == 'sclayout') { ?>
<?php } else { ?>
<div id="sidebar-left">
<?php left_sidebar_menu(); ?>
</div>
<?php } ?>
<div id="content" class="hfeed homepage">
	<h1 class="postsby">
		<?php if ( is_day() ) : /* if the daily archive is loaded */ ?>
			<?php printf( __( 'Daily Archives: <span>%s</span>', 'mythemeshop' ), get_the_date() ); ?>
		<?php elseif ( is_month() ) : /* if the montly archive is loaded */ ?>
			<?php printf( __( 'Monthly Archives: <span>%s</span>', 'mythemeshop' ), get_the_date('F Y') ); ?>
		<?php elseif ( is_year() ) : /* if the yearly archive is loaded */ ?>
			<?php printf( __( 'Yearly Archives: <span>%s</span>', 'mythemeshop' ), get_the_date('Y') ); ?>
		<?php else : /* if anything else is loaded, ex. if the tags or categories template is missing this page will load */ ?>
			Blog Archives
		<?php endif; ?>
	</h1>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post-single post_box">
				<div class="headline_area">
				<h2 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<div class="headline_meta">
				<p class="theauthor"><?php _e('By ', 'mythemeshop'); the_author_posts_link(); ?></p>
				<p class="themeta"><span class="thetime"><?php the_time('F j, Y'); ?></span><span class="thecategories"><?php the_category(' ') ?></span><span class="thecomments"><a href="<?php comments_link(); ?>"><?php comments_number('No comments','1 Comment','% Comments'); ?></a></span></p>
				</div>
				</div><!--.headline_area-->
			<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow"><?php if ( has_post_thumbnail() ) { echo '<div class="featured-thumbnail">'; the_post_thumbnail('thumbnail', array('title' => '')); echo '</div>'; } ?></a>
			<div class="format_text entry-content">
				<?php the_excerpt(); ?>
			</div>
		</div><!--.post-single-->
	<?php endwhile; else: ?>
		<div class="no-results">
			<p><strong><?php _e('There has been an error.', 'mythemeshop'); ?></strong></p>
			<p><?php _e('We apologize for any inconvenience, please hit back on your browser or use the search form below.', 'mythemeshop'); ?></p>
			<?php get_search_form(); ?>
		</div><!--noResults-->
	<?php endif; ?>
<?php if (get_option('sns_pagenavigation') == 'true') { ?>
<?php pagination($additional_loop->max_num_pages);?>
<?php } else { ?>
<div class="pnavigation2">
<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> '.'Older posts', 'twentyten' ) ); ?></div>
<div class="nav-next"><?php previous_posts_link( __( 'Newer posts'.' <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?></div>
</div>
<?php } ?>
<div class="top"><a href="#top">Back to Top</a></div>
</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>